> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# List Pix Transfers

> Use this endpoint to list Pix Transfers with optional filters and pagination.



## OpenAPI

````yaml /pt/openapi/v3-current/indirect-pix.yaml get /v1/transfers
openapi: 3.1.0
info:
  description: >-
    API for Pix Indirect via BTG. It covers DICT keys and claims; MED infraction
    reports, fraud markers, refund requests, and funds recoveries; DICT
    statistics and reconciliation; Pix transfers, refunds, and schedules; static
    QR codes and QR code decoding; immediate and due-date collections; Pix
    Automático for the payer; transaction reports and TemposTransacoes
    statistics; and inbound and outbound webhook records.
  title: Pix BTG API
  version: 1.12.0
servers:
  - url: https://api.example.com
    description: >-
      Replace the example host with the URL provided during environment
      onboarding.
security:
  - BearerAuth: []
paths:
  /v1/transfers:
    get:
      tags:
        - Transfers
      summary: List Pix Transfers
      description: >-
        Use this endpoint to list Pix Transfers with optional filters and
        pagination.
      operationId: payment-list-transfers
      parameters:
        - description: Account ID (UUID format)
          in: header
          name: X-Account-Id
          required: true
          schema:
            description: Account ID (UUID format)
            type: string
        - description: 'Page number for pagination (default: 1)'
          explode: false
          in: query
          name: page
          schema:
            description: 'Page number for pagination (default: 1)'
            type: string
        - description: 'Maximum number of items per page (default: 10, range: 1-100)'
          explode: false
          in: query
          name: limit
          schema:
            description: 'Maximum number of items per page (default: 10, range: 1-100)'
            type: string
        - description: 'Sort direction for results: asc or desc'
          explode: false
          in: query
          name: sort_order
          schema:
            description: 'Sort direction for results: asc or desc'
            type: string
        - description: Filter by the Pix transfer end-to-end identifier
          explode: false
          in: query
          name: end_to_end
          schema:
            description: Filter by the Pix transfer end-to-end identifier
            type: string
        - description: >-
            Filter by transfer status; comma-separated for multiple
            (OR-matched), e.g. PENDING,COMPLETED. Allowed: CREATED, REJECTED,
            PENDING, PROCESSING, COMPLETED, FAILED, CANCELLED
          explode: false
          in: query
          name: status
          schema:
            description: >-
              Filter by transfer status; comma-separated for multiple
              (OR-matched), e.g. PENDING,COMPLETED. Allowed: CREATED, REJECTED,
              PENDING, PROCESSING, COMPLETED, FAILED, CANCELLED
            type: string
        - description: Filter by transfer direction (CASHOUT or CASHIN)
          explode: false
          in: query
          name: type
          schema:
            description: Filter by transfer direction (CASHOUT or CASHIN)
            type: string
        - description: Filter by transfers modified after this timestamp (RFC3339)
          explode: false
          in: query
          name: modified_after
          schema:
            description: Filter by transfers modified after this timestamp (RFC3339)
            type: string
        - description: Filter by transfers modified before this timestamp (RFC3339)
          explode: false
          in: query
          name: modified_before
          schema:
            description: Filter by transfers modified before this timestamp (RFC3339)
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransfersListOutput'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LegacyErrorBody'
          description: Bad Request
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LegacyErrorBody'
          description: Internal Server Error
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LegacyErrorBody'
          description: Error
components:
  schemas:
    TransfersListOutput:
      additionalProperties: false
      properties:
        items:
          items:
            $ref: '#/components/schemas/TransferResponse'
          type: array
        limit:
          examples:
            - 10
          format: int64
          type: integer
        page:
          examples:
            - 1
          format: int64
          type: integer
        total:
          examples:
            - 42
          format: int64
          type: integer
      required:
        - items
        - page
        - limit
        - total
      type: object
    LegacyErrorBody:
      additionalProperties: false
      properties:
        fields:
          additionalProperties:
            type: string
          type: object
        headers:
          additionalProperties:
            type: string
          type: object
        message:
          type: string
        paths:
          additionalProperties:
            type: string
          type: object
        queryParams:
          additionalProperties:
            type: string
          type: object
        raw:
          type: string
        code:
          type: string
        title:
          type: string
      required:
        - code
        - title
        - message
      type: object
    TransferResponse:
      additionalProperties: false
      properties:
        accountId:
          examples:
            - 01989f9e-6508-79f8-9540-835be49fbd0d
          type: string
        aliasId:
          examples:
            - 01989f9e-6508-79f8-9540-835be49fbd0e
          type: string
        amount:
          examples:
            - '100.50'
          type: string
        createdAt:
          examples:
            - '2024-01-15T10:30:15Z'
          type: string
        deletedAt:
          type: string
        description:
          examples:
            - Pix Cashin Transfer
          type: string
        destination:
          $ref: '#/components/schemas/SourceDestination'
        endToEndId:
          examples:
            - E1234567820240101000001234567890
          type: string
        feeCharge:
          $ref: '#/components/schemas/FeeChargeResponse'
        id:
          examples:
            - 550e8400-e29b-41d4-a716-446655440010
          type: string
        initiatedAt:
          examples:
            - '2024-01-15T10:30:00Z'
          type: string
        initiationType:
          enum:
            - MANUAL
            - KEY
            - QR_CODE
          examples:
            - KEY
          type: string
        ledger:
          $ref: '#/components/schemas/LedgerInfo'
        metadata:
          additionalProperties: {}
          type: object
        paymentType:
          enum:
            - IMMEDIATE
            - SCHEDULED
          examples:
            - IMMEDIATE
          type: string
        purpose:
          enum:
            - TRANSFER
            - INSTANT_PAYMENT_REFUND
            - CHANGE
            - WITHDRAWAL
          examples:
            - TRANSFER
          type: string
        source:
          $ref: '#/components/schemas/SourceDestination'
        status:
          enum:
            - CREATED
            - PENDING
            - PROCESSING
            - COMPLETED
            - FAILED
            - REVERSED
          examples:
            - COMPLETED
          type: string
        type:
          enum:
            - CASHIN
            - CASHOUT
          examples:
            - CASHIN
          type: string
        updatedAt:
          examples:
            - '2024-01-15T10:35:00Z'
          type: string
        urgency:
          enum:
            - HIGH
            - NORMAL
          examples:
            - HIGH
          type: string
        withdrawal:
          $ref: '#/components/schemas/WithdrawalBreakdownResponse'
      required:
        - id
        - amount
        - endToEndId
        - status
        - type
        - paymentType
        - initiationType
        - urgency
        - purpose
        - accountId
        - createdAt
        - updatedAt
      type: object
    SourceDestination:
      additionalProperties: false
      properties:
        account:
          $ref: '#/components/schemas/AccountDetails'
        key:
          examples:
            - chave@pix.com
          type: string
        owner:
          $ref: '#/components/schemas/OwnerDetails'
      type: object
    FeeChargeResponse:
      additionalProperties: false
      properties:
        applied:
          examples:
            - true
          type: boolean
        calculationType:
          examples:
            - segment
          type: string
        fees:
          items:
            $ref: '#/components/schemas/FeeEntryResponse'
          type: array
        netAmount:
          examples:
            - '97.50'
          type: string
        totalAmount:
          examples:
            - '2.50'
          type: string
      required:
        - applied
        - calculationType
        - totalAmount
        - netAmount
        - fees
      type: object
    LedgerInfo:
      additionalProperties: false
      properties:
        destinationOperationId:
          examples:
            - 550e8400-e29b-41d4-a716-446655440013
          type: string
        revert:
          $ref: '#/components/schemas/LedgerRevertInfo'
        sourceOperationId:
          examples:
            - 550e8400-e29b-41d4-a716-446655440012
          type: string
        transactionId:
          examples:
            - 550e8400-e29b-41d4-a716-446655440011
          type: string
      type: object
    WithdrawalBreakdownResponse:
      additionalProperties: false
      properties:
        agentMode:
          enum:
            - AGTEC
            - AGTOT
            - AGPSS
          examples:
            - AGTEC
          type: string
        transactionAmount:
          examples:
            - '80.00'
          type: string
        withdrawalAmount:
          examples:
            - '50.00'
          type: string
        withdrawalServiceProvider:
          examples:
            - '12345678'
          type: string
      required:
        - withdrawalAmount
        - agentMode
        - withdrawalServiceProvider
      type: object
    AccountDetails:
      additionalProperties: false
      properties:
        branch:
          examples:
            - '0001'
          type: string
        number:
          examples:
            - '123456789'
          type: string
        participant:
          examples:
            - '12345678'
          type: string
        type:
          enum:
            - CACC
            - SVGS
            - TRAN
            - OTHR
          examples:
            - TRAN
          type: string
      required:
        - branch
        - number
        - participant
        - type
      type: object
    OwnerDetails:
      additionalProperties: false
      properties:
        document:
          examples:
            - 12ABC34501DE35
          type: string
        name:
          examples:
            - John Doe
          type: string
        tradeName:
          examples:
            - John's Business
          type: string
        type:
          enum:
            - NATURAL_PERSON
            - LEGAL_PERSON
          examples:
            - NATURAL_PERSON
          type: string
      required:
        - document
        - name
        - type
      type: object
    FeeEntryResponse:
      additionalProperties: false
      properties:
        amount:
          examples:
            - '1.50'
          type: string
        calculationType:
          examples:
            - PERCENTAGE
          type: string
        calculationValue:
          examples:
            - '1.5'
          type: string
        creditAccount:
          examples:
            - 01989f9e-6508-79f8-9540-835be49fbd0d
          type: string
        feeLabel:
          examples:
            - PIX_FEE
          type: string
      required:
        - feeLabel
        - amount
        - creditAccount
        - calculationType
        - calculationValue
      type: object
    LedgerRevertInfo:
      additionalProperties: false
      properties:
        destinationOperationId:
          examples:
            - 550e8400-e29b-41d4-a716-446655440016
          type: string
        sourceOperationId:
          examples:
            - 550e8400-e29b-41d4-a716-446655440015
          type: string
        transactionId:
          examples:
            - 550e8400-e29b-41d4-a716-446655440014
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      description: JWT bearer token issued by the identity provider.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.